﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfDataGrid.XForms;
using Syncfusion.Data.Extensions;

namespace DataGridDemo
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            dataGrid.FrozenColumnsCount = 2;
            dataGrid.QueryUnboundColumnValue += DataGrid_QueryUnboundColumnValue;
            slider.ValueChanged += Slider_ValueChanged;
            slider.Value = 1;
            slider.Maximum = 10;
            slider.Minimum = 1;
        }

        private void Slider_ValueChanged(object sender, ValueChangedEventArgs e)
        {
            dataGrid.ScrollToColumnIndex((int)(e.NewValue));
        }

        private void DataGrid_QueryUnboundColumnValue(object sender, GridUnboundColumnEventArgs e)
        {
            
            if (e.UnboundAction == UnboundActions.QueryData)
            {
                var order = Convert.ToInt16(e.Record.GetType().GetProperty("OrderID").GetValue(e.Record));
                var employee = Convert.ToInt16(e.Record.GetType().GetProperty("EmployeeID").GetValue(e.Record));
                e.Value = order * employee;
            }
        }
    }
}
